{
  "type": "minecraft:fishing",
  "pools": [
    {
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:tropical_fish",
          "weight": 30
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/haddock",
          "weight": 20
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/haddock",
          "weight": 35,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "minecraft:dripstone_caves"}}]
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/tuna",
          "weight": 15
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/alpha_cod",
          "weight": 10
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/alpha_cod",
          "weight": 20,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "minecraft:desert"}}]
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/lobster",
          "weight": 8
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/eel",
          "weight": 5
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/goldfish",
          "weight": 5
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/goldfish",
          "weight": 20,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "minecraft:lush_caves"}}]
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/anglerfish",
          "weight": 5
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/anglerfish",
          "weight": 20,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "minecraft:deep_dark"}}]
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/marlin",
          "weight": 4
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/fish/marlin",
          "weight": 10,
          "conditions": [{"condition": "minecraft:location_check","predicate": {
          "biomes": "minecraft:pale_garden"}}]
        }
      ],
      "rolls": 1.0
    }
  ],
  "random_sequence": "minecraft:gameplay/fishing/fish"
}